package com.ruoyi.info.hospital.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum HospitalExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    HOSPITAL_IS_NOT_EXISTS(200001, "医院信息不存在"),

    HOSPITAL_NAME_ALREADY_EXISTS(200002, "医院名称已经存在"),

    ;
    private Integer code;

    private String msg;

    HospitalExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static HospitalExceptionEnum getByCode(int code, HospitalExceptionEnum[] values) {
        for (HospitalExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
